Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 900881 - dev-lang/nim-1.6.12 fails tests
Summary: dev-lang/nim-1.6.12 fails tests
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Nim project
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2023-03-11 17:07 UTC by Agostino Sarubbo
Modified: 2024-06-17 20:43 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,214.89 KB, text/plain)
2023-03-11 17:07 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2023-03-11 17:07:00 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: dev-lang/nim-1.6.12 fails tests.
Discovered on: amd64 (internal ref: ci)
Comment 1 Agostino Sarubbo gentoo-dev 2023-03-11 17:07:03 UTC
Created attachment 857301 [details]
build.log

build log and emerge --info
Comment 2 Agostino Sarubbo gentoo-dev 2023-03-11 17:07:04 UTC
Error(s) that match a know pattern:


Error: unhandled exception: t13115.nim(36, 20) `msg in outp` /var/tmp/portage/dev-lang/nim-1.6.12/work/nim-1.6.12/bin/nim r -b:js -d:nim_t13115  --hints:off /var/tmp/portage/dev-lang/nim-1.6.12/work/nim-1.6.12/tests/exception/t13115.nim
FAIL: tests/exception/t13115.nim c --hint:all:off --hint:User:on --hint:UserRaw:on ( 4.83 sec)
FAILURE! total: 40 passed: 28 skipped: 11 failed: 1
system/threads.nim(171, 5) Warning: The bare except clause is deprecated; use `except CatchableError:` instead [BareExcept]
/var/tmp/portage/dev-lang/nim-1.6.12/work/nim-1.6.12/dist/nimble/src/nimble.nim(1109, 3) Warning: The bare except clause is deprecated; use `except CatchableError:` instead [BareExcept]
/var/tmp/portage/dev-lang/nim-1.6.12/work/nim-1.6.12/dist/nimble/src/nimble.nim(258, 5) Warning: The bare except clause is deprecated; use `except CatchableError:` instead [BareExcept]
/var/tmp/portage/dev-lang/nim-1.6.12/work/nim-1.6.12/dist/nimble/src/nimblepkg/options.nim(512, 5) Warning: The bare except clause is deprecated; use `except CatchableError:` instead [BareExcept]
/var/tmp/portage/dev-lang/nim-1.6.12/work/nim-1.6.12/dist/nimble/src/nimblepkg/packageinfo.nim(210, 7) Warning: The bare except clause is deprecated; use `except CatchableError:` instead [BareExcept]
/var/tmp/portage/dev-lang/nim-1.6.12/work/nim-1.6.12/dist/nimble/src/nimblepkg/packageparser.nim(481, 9) Warning: The bare except clause is deprecated; use `except CatchableError:` instead [BareExcept]
/var/tmp/portage/dev-lang/nim-1.6.12/work/nim-1.6.12/lib/system/threads.nim(171, 5) Warning: The bare except clause is deprecated; use `except CatchableError:` instead [BareExcept]
/var/tmp/portage/dev-lang/nim-1.6.12/work/nim-1.6.12/testament/azure.nim(106, 5) Warning: The bare except clause is deprecated; use `except CatchableError:` instead [BareExcept]
/var/tmp/portage/dev-lang/nim-1.6.12/work/nim-1.6.12/testament/azure.nim(123, 7) Warning: The bare except clause is deprecated; use `except CatchableError:` instead [BareExcept]
/var/tmp/portage/dev-lang/nim-1.6.12/work/nim-1.6.12/testament/azure.nim(89, 7) Warning: The bare except clause is deprecated; use `except CatchableError:` instead [BareExcept]
/var/tmp/portage/dev-lang/nim-1.6.12/work/nim-1.6.12/testament/specs.nim(303, 9) Warning: The bare except clause is deprecated; use `except CatchableError:` instead [BareExcept]
/var/tmp/portage/dev-lang/nim-1.6.12/work/nim-1.6.12/testament/testament.nim(349, 44) Warning: The bare except clause is deprecated; use `except CatchableError:` instead [BareExcept]
/var/tmp/portage/dev-lang/nim-1.6.12/work/nim-1.6.12/testament/testament.nim(350, 43) Warning: The bare except clause is deprecated; use `except CatchableError:` instead [BareExcept]
/var/tmp/portage/dev-lang/nim-1.6.12/work/nim-1.6.12/tools/nimgrep.nim(933, 9) Warning: The bare except clause is deprecated; use `except CatchableError:` instead [BareExcept]
Comment 3 Maciej Barć gentoo-dev 2023-03-11 17:26:05 UTC
As always tinderbox discovers test failures I had not encountered.
Comment 4 Larry the Git Cow gentoo-dev 2024-06-17 20:43:01 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=97623a9f6c11a8fe3136c3995653e172939a761a

commit 97623a9f6c11a8fe3136c3995653e172939a761a
Author:     Maciej Barć <xgqt@gentoo.org>
AuthorDate: 2024-06-17 13:42:59 +0000
Commit:     Maciej Barć <xgqt@gentoo.org>
CommitDate: 2024-06-17 20:42:58 +0000

    dev-lang/nim: drop old 1.6.14-r1
    
    Closes: https://bugs.gentoo.org/900881
    Signed-off-by: Maciej Barć <xgqt@gentoo.org>

 dev-lang/nim/Manifest                              |   2 -
 dev-lang/nim/files/nim-0.20.0-paths.patch          |  36 ----
 .../nim/files/nim-1.6.14-clang16-musl-fix.patch    |  13 --
 .../nim/files/nim-1.6.14-testament-skipfile.txt    |  61 ------
 dev-lang/nim/files/nim-1.6.6-csources-flags.patch  |  11 --
 dev-lang/nim/metadata.xml                          |   1 -
 dev-lang/nim/nim-1.6.14-r1.ebuild                  | 211 ---------------------
 7 files changed, 335 deletions(-)